  #include <Servo.h>
  #include <EEPROM.h>
  #include <LiquidCrystal.h>
  
  Servo myservo;                                          //create servo object
  LiquidCrystal lcd(12, 11, 8, 7, 6, 5);                  // initialize the library with the numbers of the interface pins  
  unsigned long ST,CT,AD_DAT,UP_CNT;

void setup(){                
  pinMode(2, INPUT_PULLUP);pinMode(3, INPUT_PULLUP);      //initialize the digital pin   
  pinMode(4, INPUT_PULLUP);pinMode(13, OUTPUT); 
  myservo.attach(9);                                      //attaches the servo pin
  lcd.begin(16, 2);                                       // set up the LCD's number of columns and rows
  Serial.begin(115200);                                  // initialize the serial communication
  ST = millis();}

void loop(){  
  while(digitalRead(4) == LOW){
    digitalWrite(13,HIGH);                                //LED ON
    CT = 0;ST = millis(); 
    if (myservo.attached() == false) {myservo.attach(9);}
    myservo.write( map(analogRead(0), 0, 1023, 0, 179));  //sets the servo position 
    if(digitalRead(2) == LOW){
      digitalWrite(13,LOW);EEPROM.write(0, map(analogRead(0), 0, 1023, 0, 179));digitalWrite(13,HIGH);}
    if(digitalRead(3) == LOW){
      digitalWrite(13,LOW);EEPROM.write(1, map(analogRead(0), 0, 1023, 0, 179));digitalWrite(13,HIGH);}}
  
  AD_DAT = analogRead(1) * 4.89;
    if (AD_DAT > 300) {UP_CNT++;} else {UP_CNT = 0;}  
    if (UP_CNT > 20) { digitalWrite(13,HIGH);myservo.detach();}
 
  if (myservo.attached() == true) {
    digitalWrite(13,LOW);                                 //LED OFF
    if (millis() > ST + 1000) {ST = millis();CT++;lcd.clear();lcd.print(CT);}
    if (millis() < ST +  500) {myservo.write(EEPROM.read(0));}
    if (millis() > ST +  500) {myservo.write(EEPROM.read(1));}
    Serial.print(millis() - ST );Serial.print(",");Serial.println(AD_DAT);}
  
  delay(1);}
